# Collect: Base Employee API

{% columns %}
{% column width="16.666666666666664%" %}
Data type:

URLs:&#x20;
{% endcolumn %}

{% column %}
Base Employee

<https://api.coresignal.com/cdapi/v2/employee\\_base/collect/{employee\\_id}\\>
<https://api.coresignal.com/cdapi/v2/employee\\_base/collect/{profile\\_url/shorthand\\_name}>
{% endcolumn %}
{% endcolumns %}

***

## Overview

Find instructions for collection endpoint usage and data collection.

<table data-view="cards"><thead><tr><th></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td>General information about collect requests</td><td><a href="../../../api-introduction/requests/collect">collect</a></td></tr></tbody></table>

Use the Base Employee collection endpoints to collect employee data using employee IDs, profile URLs or shorthand names.

<table data-card-size="large" data-view="cards"><thead><tr><th></th><th></th></tr></thead><tbody><tr><td><a href="#collection-using-ids">Data collection using IDs</a></td><td>Learn how to obtain Base Employee data using IDs</td></tr><tr><td><a href="#collection-using-profile-urls-or-shorthand-names">Data collection using profile URLs or shorthand names</a></td><td>Learn how to obtain Base Employee data using profile URLs or shorthand names</td></tr></tbody></table>

| Used key       | Collect endpoints                                           | Usage                                                                                                                                                                          |
| -------------- | ----------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| Employee ID    | */v2/employee\_base/collect/{employee\_id}*                 | Retrieved using Base Employee API search endpoints.                                                                                                                            |
| Shorthand name | */v2/employee\_base/collect/{profile\_url/shorthand\_name}* | Use profile URL or a shorthand name taken directly from the URL (e.g., *john-doe* from [www.professional-network.com/john-doe](http://www.professional-network.com/john-doe)). |

***

## Collection using IDs

Examples in this article are prepared using Postman.

However, you can use the most convenient tool for you: terminal, Postman, or any API-compatible application.

### cURL (Postman)

Use the provided request template below. Enter a valid `employee_id` value and your `API Key`.

{% tabs %}
{% tab title="Full collect" %}
{% code title="cURL request example" %}

```json
curl -X 'GET' \
'https://api.coresignal.com/cdapi/v2/employee_base/collect/{employee_id}' \
-H 'accept: application/json' \
-H 'apikey: {API Key}'
```

{% endcode %}
{% endtab %}

{% tab title="Field selection" %}
{% code title="cURL request example with several fields" %}

```json
curl -X 'GET' \
'https://api.coresignal.com/cdapi/v2/employee_base/collect/{employee_id}?fields=region&fields=industry' \
-H 'accept: application/json' \
-H 'apikey: {API Key}'
```

{% endcode %}
{% endtab %}
{% endtabs %}

## Collection using profile URLs or shorthand names

Examples in this article are prepared using Postman.

However, you can use the most convenient tool for you: terminal, Postman, or any API-compatible application.

### cURL (Postman)

Use the provided request template below. Enter a valid `profile_url` or `shorthand_name` value and your `API Key`.

{% tabs %}
{% tab title="Full collect" %}
{% code title="cURL request example" %}

```json
curl -X GET "https://api.coresignal.com/cdapi/v2/employee_base/collect/{profile_url/shorthand_name}"
 -H  "accept: application/json" 
 -H  "apikey: {API Key}"
```

{% endcode %}
{% endtab %}

{% tab title="Field selection" %}
{% code title="cURL request example with several fields" %}

```json
curl -X GET "https://api.coresignal.com/cdapi/v2/employee_base/collect/{profile_url/shorthand_name}?fields=region&fields=industry"
 -H  "accept: application/json" 
 -H  "apikey: {API Key}"
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.coresignal.com/employee-api/base-employee-api/endpoints/collect.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
